import { Component, OnInit } from '@angular/core';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { FrameDetailComponent } from 'src/app/routes/frame/core/detail/frame.detail';

@Component({
  selector: 'app-task-video-report-detail',
  templateUrl: './task-video-report-detail.component.html',
  styleUrls: ['./task-video-report-detail.component.scss']
})
export class TaskVideoReportDetailComponent extends FrameDetailComponent implements OnInit {

  layoutArr = [];

  constructor(bsModalRef: BsModalRef) { 
    super(bsModalRef);
  }

  ngOnInit(): void {
    this.listLayout();
  }

  listLayout() {
    this.AjaxService.requestArray('material/report/total/by/group.htm', {
      batch_id: this.ResponseEntity.batch_id, 
      ly_group_id: this.ResponseEntity.ly_group_id
    }, (array) => {
      this.layoutArr = array;
    });
  }


}
